Subject: bug#21957: 24.5; Make occur search within regions when there is one

From: Artur Malabarba <[email-masked]>
Date: Mon, 23 Nov 2015 00:53:52 +0000

> BTW, I recall Drew asked how to do the same in Isearch, but I see no way
> because in Isearch it's useful to mark the beginning of the region, and
> extend it using Isearch commands by putting the end of the region where
> Isearch ends.

Technically that's not necessary. Isearch always pushes the mark for you
anyway, even though it doesn't activate the region. But most people don't
know that, and even though I know it I frequently forget and activate
region before isearch.

Anyway, I don't see why it would be a problem. Just add an item to do a
regular search if the region is empty.